| Face Engine SDK 4.7.0 A face detection, recognition and tracking engine.

Public Member Functions | List of all members
fsdk::IFaceEngineMobile Struct Referenceabstract
SDK core interfaces

Root LUNA SDK object interface. More...

`#include <IFaceEngineMobile.h>`

Inheritance diagram for fsdk::IFaceEngineMobile:

## Public Member Functions
virtual IDetector * | createDetector () noexcept=0
| Creates a detector of given type. More...
virtual IHeadPoseEstimator * | createHeadPoseEstimator () noexcept=0
| Creates Head pose estimator. More...
virtual IAGSEstimator * | createAGSEstimator () noexcept=0
| Creates AGS estimator. More...
virtual IEyeEstimator * | createEyeEstimator () noexcept=0
| Creates Eye estimator. More...
virtual IBestShotQualityEstimator * | createBestShotQualityEstimator () noexcept=0
| Creates BestShotQuality estimator. More...
virtual IDescriptor * | createDescriptor (uint32_t version=0) noexcept=0
| Creates Descriptor. More...
virtual IDescriptor * | createDescriptor (fsdk::IArchive *archive, uint32_t flags=0) noexcept=0
| Creates and loads Descriptor from Archive. More...
virtual IDescriptorBatch * | createDescriptorBatch (int32_t size, uint32_t version=0) noexcept=0
| Creates Batch of descriptors. More...
virtual IDescriptorExtractor * | createExtractor (uint32_t version=0) noexcept=0
| Creates descriptor extractor. More...
virtual IDescriptorMatcher * | createMatcher (uint32_t version=0) noexcept=0
| Creates descriptor matcher. More...
virtual IWarper * | createWarper () noexcept=0
| Creates warper. More...
virtual FaceEngineEdition | getFaceEngineEdition () const noexcept=0
| Get LUNA SDK ditribution edition. More...
virtual void | setDataDirectory (const char *path) noexcept=0
| Sets data directory. More...
virtual const char * | getDataDirectory () const noexcept=0
| Gets data directory. More...
virtual void | setSettingsProvider (ISettingsProvider *provider) noexcept=0
| Sets settings provider. More...
virtual void | setRuntimeSettingsProvider (ISettingsProvider *provider) noexcept=0
| Sets runtime settings provider. More...
virtual ISettingsProvider * | getSettingsProvider () const noexcept=0
| Gets settings provider. More...
virtual ISettingsProvider * | getRuntimeSettingsProvider () const noexcept=0
| Gets runtime settings provider. More...
virtual ILicense * | getLicense () const noexcept=0
| Get current License object, which was set for FaceEngine object. More...
Public Member Functions inherited from fsdk::IRefCounted
virtual int32_t | retain () noexcept=0
| Increase strong reference count. More...
virtual int32_t | release () noexcept=0
| Decrease strong reference count. More...
virtual int32_t | getRefCount () const noexcept=0
| Get actual strong reference count. More...
virtual int32_t | retainWeak () noexcept=0
| Increase weak reference count. More...
virtual int32_t | releaseWeak () noexcept=0
| Decrease weak reference count. More...
virtual int32_t | getWeakRefCount () const noexcept=0
| Get actual weak reference count. More...

## Detailed Description

Root LUNA SDK object interface.

Note
  Face Engine also implements factory interface so all usual factory options apply.

The documentation for this struct was generated from the following file:

- fsdk.framework/Headers/IFaceEngineMobile.h